View Issue Details

IDProjectCategoryView StatusLast Update
0013706LazarusPatchpublic2009-10-23 00:39
ReporterAttila Borka Assigned ToVincent Snijders  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.27 (SVN) 
Target Version0.9.28Fixed in Version0.9.27 (SVN) 
Summary0013706: fpweb examples on how to use fcl-web with templates and template tags
DescriptionThese examples are demonstrating some uses of templates (with FPTemplate) when
generating HTML pages by CGI programs or Apache modules using fcl-web (fpweb).

A lot of people were asking on the forums and mailing lists about some kind of documentation and/or examples on the use of these.

I suggest to add these examples under \Lazarus\examples\fpweb\ or something similar.
Additional InformationExamples list:

1. /simpletemplate/*.*
The simplest template with one template tag in it to be replaced by the
CGI/Apache application when generating the response page -> {TagName1}

2. /tagparam/*.*
Demonstrating the set up and use of template tag parameter(s)
-> {+DATETIME [-FORMAT=MM/DD hh:mm:ss-]+}

3. /listrecords/*.*
Demonstrates the use of a template tag with multiple template tag parameters
to list multiple records, tables, lists, etc.

4. /fileupload/*.*
Demonstrates uploading file(s) to a web server with the help of a CGI program
or Apache module by using so called "multipart" html forms.
See README.txt
                                
5. /sessions/*.*
These examples demonstrate three different ways to maintain and use sessions
when building web sites that need to carry over or store information to
following web pages, differentiate between visitors, etc.
5.a. /sessions/cookiesessions-auto/*.*
5.b. /sessions/cookiesessions-login/*.*
5.c. /sessions/urlsessions-login/*.*
TagsNo tags attached.
Fixed in Revision20345
LazTarget0.9.28
Widgetset
Attached Files

Activities

2009-05-13 23:47

 

fpweb-examples.zip (108,953 bytes)

Vincent Snijders

2009-06-02 12:00

manager   ~0028223

I added them to lazarus/components/fpweb/demo.

Thank you very much for this large set of documented examples.

Issue History

Date Modified Username Field Change
2009-05-13 23:47 Attila Borka New Issue
2009-05-13 23:47 Attila Borka File Added: fpweb-examples.zip
2009-05-15 16:05 Vincent Snijders LazTarget => 0.9.28
2009-05-15 16:05 Vincent Snijders Status new => acknowledged
2009-05-15 16:05 Vincent Snijders Target Version => 0.9.28
2009-06-01 22:15 Vincent Snijders Status acknowledged => assigned
2009-06-01 22:15 Vincent Snijders Assigned To => Vincent Snijders
2009-06-02 12:00 Vincent Snijders Fixed in Revision => 20345
2009-06-02 12:00 Vincent Snijders Status assigned => resolved
2009-06-02 12:00 Vincent Snijders Fixed in Version => 0.9.27 (SVN)
2009-06-02 12:00 Vincent Snijders Resolution open => fixed
2009-06-02 12:00 Vincent Snijders Note Added: 0028223
2009-10-23 00:39 Marc Weustink Status resolved => closed